
( function( window ) {
'use strict';
function classReg( className ) {
  return new RegExp("(^|\\s+)" + className + "(\\s+|$)");
}
var hasClass, addClass, removeClass;
if ( 'classList' in document.documentElement ) {
  hasClass = function( elem, c ) {
    return elem.classList.contains( c );
  };
  addClass = function( elem, c ) {
    elem.classList.add( c );
  };
  removeClass = function( elem, c ) {
    elem.classList.remove( c );
  };
}
else {
  hasClass = function( elem, c ) {
    return classReg( c ).test( elem.className );
  };
  addClass = function( elem, c ) {
    if ( !hasClass( elem, c ) ) {
      elem.className = elem.className + ' ' + c;
    }
  };
  removeClass = function( elem, c ) {
    elem.className = elem.className.replace( classReg( c ), ' ' );
  };
}
function toggleClass( elem, c ) {
  var fn = hasClass( elem, c ) ? removeClass : addClass;
  fn( elem, c );
}
var classie = {
  // full names
  hasClass: hasClass,
  addClass: addClass,
  removeClass: removeClass,
  toggleClass: toggleClass,
  // short names
  has: hasClass,
  add: addClass,
  remove: removeClass,
  toggle: toggleClass
};
// transport
if ( typeof define === 'function' && define.amd ) {
  // AMD
  define( classie );
} else {
  // browser global
  window.classie = classie;
}
})( window );

	function showNewsDeora(openm, id){	
	
		var overlay = document.querySelector('.md-overlay');
		
		var modal = document.querySelector('#loot_'+id);	
			
			$('body').css('overflow', 'hidden');
						
			classie.add( overlay, 'overlay-show' );	
			
			classie.add( modal, 'md-show' );
			
		var	closedM = modal.querySelector( '.close_open' );
		var	closedMx = modal.querySelector( '.close_open_ico' );
		
			function removeModal( hasPerspective ) {
			
				classie.remove( modal, 'md-show' );
				
				classie.remove( overlay, 'overlay-show' );
				
				$('body').css('overflow', 'auto');
					
			}
		
			function removeModalHandler() {
			
				removeModal( classie.has(modal) ); 
				
			}
			
			closedM.addEventListener( 'click', function( ev ) {
				
				removeModalHandler();
				
		});
		
			closedMx.addEventListener( 'click', function( ev ) {
				
				removeModalHandler();
				
		});
	}
	